<?php 

defined('ABSPATH') || exit;

/**
 * Main FS Schema Class.
 *
 * @class FSSC_Schema
 */ 

final class FSSC_Schema{
	/**
	 * The single instance of the class.
	 *
	 * @var FSSC_Schema
	 */
	protected static $_instance = null;

	/**
	 * Main FSSC_Schema Instance.
	 *
	 * Ensures only one instance of FSSC_Schema is loaded or can be loaded.
	 * @see FSSC()
	 * @return FSSC_Schema - Main instance.
	 */
	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	/**
	 * FSSC_Schema Constructor.
	 */
	public function __construct() {
		$this->includes();
	}

	/**
	 * Includes all essential files.
	 */
	public function includes(){
		include FSSC_BASE_DIR . 'includes/class-fs-action.php';
		include FSSC_BASE_DIR . 'includes/class-fs-schema-init.php';
		include FSSC_BASE_DIR . 'includes/class-fs-metabox.php';
		include FSSC_BASE_DIR . 'includes/class-fs-meta-fields.php';
		include FSSC_BASE_DIR . 'includes/class-fs-schema-function.php';
		include FSSC_BASE_DIR . 'includes/class-fs-schema-output.php';
	}
}
