<div class="wrap" id="schema-setting-wrapper">
	<h1 class="wp-heading-inline"><?php _e( 'FS Schema', 'fs-schema-wordpress' ) ?></h1>
	<hr class="wp-header-end">
    
	<div id="response"></div>
	<div class="schema-setting-inner">
		<form id="fs-schema-main-setting" action="" method="post" novalidate="novalidate">
			<table class="form-table" width="40%">
				<tr>
					<th colspan="2">
                        <h3><?php _e( 'General setting', 'fs-schema-wordpress' ) ?></h3>
                    </th>
				</tr>
				<tr>
					<th>
						<?php _e( 'Website Url', 'fs-schema-wordpress' ) ?> <span class="required">*</span>
					</th>
					<td>
						<input type="text" class="regular-text" name="web_url" value="<?php echo(!empty($settings['web_url']) ? esc_attr($settings['web_url']) : get_home_url()); ?>"/>
					</td>
				</tr>
				<tr>
					<th>
						<?php _e( 'Organization or', 'fs-schema-wordpress' ) ?> <br/> <?php _e( 'Business Name', 'fs-schema-wordpress' ) ?> <span class="required">*</span>
					</th>
					<td>
						<input type="text" class="regular-text" name="business_name" value="<?php echo(!empty($settings['business_name']) ? esc_attr($settings['business_name']) : null ); ?>"/>
					</td>
				</tr>
				<tr>
					<th>
						<?php _e( 'Logo', 'fs-schema-wordpress' ) ?> <span class="required">*</span>
					</th>
					<td>
                      <div class="fssc-image logo-uploader">
                        <div class="fssc-image-wrapper">
                          <?php
                            $ImageId = !empty($settings['site_image']) ? absint($settings['site_image']) : 0;
                            $siteImage = $imginfo = null;
                            if ($ImageId) {
                            $siteImage = wp_get_attachment_image($ImageId, "medium");
                            $imgData    = wp_get_attachment_metadata( $ImageId );
                            $imginfo .= "<span>".(! empty( $imgData['width'] ) ? absint( $imgData['width'] ) : 0)."px - ".(! empty( $imgData['height'] ) ? absint( $imgData['height'] ) : 0)."px</span>";
                          } ?>
                          <span class="fsscAddLogo">
                            <span class="dashicons dashicons-plus-alt"></span>
                          </span>
                          <span class="fsscRemoveLogo <?php echo($ImageId ? null : "fssc-hidden"); ?>">
                            <span class="dashicons dashicons-trash"></span>
                          </span>
                          <div class="fssc-image-preview"><?php echo $siteImage; ?></div>
                          <input type="hidden" name="site_image" value="<?php echo $ImageId; ?>"/>
                        </div>
                      </div>
					</td>
				</tr>
				<tr>
					<th><?php _e( 'Site Telephone', 'fs-schema-wordpress' ) ?> <span class="required">*</span></th>
                    <td align="left" scope="row">
                        <input type="text" class="regular-text" name="site_telephone" value="<?php echo (!empty($settings['site_telephone']) ? $settings['site_telephone'] : null); ?>"/>
                    </td>
                </tr>
                <tr>
                	<th colspan="2">
                        <h3><?php _e( 'Address Details', 'fs-schema-wordpress' ) ?></h3>
                    </th>
                </tr>
                <tr>
					<th><?php _e( 'Street Address', 'fs-schema-wordpress' ) ?></th>
                    <td align="left" scope="row">
                        <input type="text" class="regular-text" name="address[street]"
                           value="<?php echo(!empty($settings['address']['street']) ? esc_attr($settings['address']['street']) : null); ?>"/>
                    </td>
                </tr>
                <tr>
					<th><?php _e( 'Locality', 'fs-schema-wordpress' ) ?></th>
                    <td align="left" scope="row">
                        <input type="text" class="regular-text" name="address[locality]"
                           value="<?php echo(!empty($settings['address']['locality']) ? esc_attr($settings['address']['locality']) : null); ?>"/>
                    </td>
                </tr>
                <tr>
					<th><?php _e( 'Region', 'fs-schema-wordpress' ) ?></th>
                    <td align="left" scope="row">
                        <input type="text" class="regular-text" name="address[region]"
                           value="<?php echo(!empty($settings['address']['region']) ? esc_attr($settings['address']['region']) : null); ?>"/>
                    </td>
                </tr>
                <tr>
					<th><?php _e( 'Country', 'fs-schema-wordpress' ) ?></th>
                    <td align="left" scope="row">
                        <input type="text" class="regular-text" name="address[country]"
                           value="<?php echo(!empty($settings['address']['country']) ? esc_attr($settings['address']['country']) : null); ?>"/>
                    </td>
                </tr>
                <tr>
					<th><?php _e( 'Postal Code', 'fs-schema-wordpress' ) ?></th>
                    <td align="left" scope="row">
                        <input type="text" class="regular-text" name="address[postalcode]"
                           value="<?php echo(!empty($settings['address']['postalcode']) ? esc_attr($settings['address']['postalcode']) : null); ?>"/>
                    </td>
                </tr>
                <tr>
                	<th colspan="2">
                        <h3><?php _e( 'Social Profile', 'fs-schema-wordpress' ) ?></h3>
                    </th>
                </tr>
                <tr>
                	<td colspan="2">
                		<div class="social-profile-wrapper">
                			<?php
                            $socialP = (!empty($settings['social']) ? $settings['social'] : array());
                            if (is_array($socialP) && !empty($socialP)) {
                                $html = null;
                                $i = 0;
                                foreach ($socialP as $socialD) {
                                    $socialLink = esc_url($socialD['link']);
                                    $html .= "<div class='sfield'>";
                                    $html .= "<select name='social[$i][id]'>";
                                    foreach (FSSC_SchemaFunction::getSocialList() as $sId => $social) {
                                        $slt = ($sId == $socialD['id'] ? "selected" : null);
                                        $html .= "<option value='$sId' $slt>$social</option>";
                                    }
                                    $html .= "</select>";
                                    $html .= "<input type='text' name='social[$i][link]' value='{$socialLink}'>";
                                    $html .= '<span class="dashicons dashicons-trash social-remove"></span>';
                                    $html .= "</div>";
                                    $i++;
                                }
                                echo $html;
                            }
                            ?>

                		</div>
                    <a class="button button-primary add-new" id="social-add"><?php _e( 'Add Social Profile', 'fs-schema-wordpress' ) ?></a>
                	</td>
                <tr>
                
			</table>
			<?php wp_nonce_field(); ?>
			<div class="fssc-form-submit">
				<input type="submit" name="submit" id="fsSave" class="button button-primary" value="<?php _e( 'Save Changes', 'fs-schema-wordpress' ) ?>" />
                <img src="<?php echo FSSC_BASE_URL.'assets/img/Dual Ring-1s-200px.gif'; ?>" width="58" class="loader-img" />
			</div>
		</form>
	</div>
</div>